Loading...
Searching...
No Matches
etl::binder2nd< TFunction > Class Template Reference

## Public Member Functions

ETL_CONSTEXPR | binder2nd (const TFunction &f, const typename TFunction::second_argument_type &v)
ETL_CONSTEXPR TFunction::result_type | operator() (typename TFunction::first_argument_type &x) const
ETL_CONSTEXPR TFunction::result_type | operator() (const typename TFunction::first_argument_type &x) const

## Protected Attributes

TFunction | operation
TFunction::second_argument_type | value

## Additional Inherited Members

Public Types inherited from etl::unary_function< TFunction::first_argument_type, TFunction::result_type >
typedef TFunction::first_argument_type | argument_type
typedef TFunction::result_type | result_type

The documentation for this class was generated from the following file:

- include/etl/functional.h